import App from "./App.vue";
import { createApp } from "vue";

import VueToast from "vue-toast-notification";
import "vue-toast-notification/dist/theme-sugar.css";
import "./scss/reactive.scss";

import { store } from "./store";

declare global {
  interface Window {
    initialTicket: string;
    ticketPersonPerTicket: "one" | "multi";
  }
}

const _app = createApp({
  template: "<app></app>",
});

_app
  .use(store)
  .use(VueToast)
  .provide("toast", _app.config.globalProperties.$toast)
  .component("app", App)
  .mount("#ticketRoot");
